List User Streams

Returns custom and managed real-time streams provisioned by the user
GET/streams

Request Parameters

Required headers and parameter specifications for this endpoint.

Headers
HeaderTypeRequiredDescription
X-PolyEdge-KeystringrequiredPolyEdge API Key for client authentication and rate-limiting

Response (200 OK)

Field definitions for the successful response payload.

application/json
200 Response Example
json
{
  "data": [
    {
      "active_sessions": 0,
      "addresses": [],
      "created_at": "2026-09-29T09:01:46.05491822Z",
      "enabled": true,
      "id": "9bae9005-9ef1-4f17-8658-36ea54536836",
      "name": "Temporary Sample Stream",
      "series": [
        "btc-up-or-down-5m"
      ],
      "tags": [],
      "updated_at": "2026-09-29T09:01:46.05491822Z"
    }
  ],
  "total_count": 1
}
Response Body Fields
FieldTypeDescription
data
array of objects-
├─active_sessions
integer-
├─addresses
string[]-
├─created_at
string-
├─enabled
boolean-
├─id
string-
├─name
string-
├─series
string[]-
├─tags
string[]-
├─updated_at
string-
total_count
integer-

cURL Example

Copy and run this command directly in your terminal to test this endpoint.

cURL: GET /streams
bash
curl -X GET "https://stream.polyedge.dev/streams" \
  -H "X-PolyEdge-Key: Your-PolyEdge-ApiKey"